Subject: LDP Question

From: vivek_1975 <[email-masked]>
Date: Mon, 1 Jul 2002 02:21:23 -0700 (PDT)

Hi,

In RFC3036 section 2.6.2.2 says
    When operating in Downstream on Demand mode with liberal label retention,
an LSR might choose to request label mappings for all known prefixes from
all peer LSRs.

  As per my understanding there won't be any restriction when we learn any
routes from IP and we obtain the mappings by sending Label Request for all
the learnt FEC's (FEC aggregation/without aggregation) if we find the required
session/adjacenecy with the peer. So DoD acts as liberal in nature.......

  Does this mean any filtering is done for achieving conservative in DoD or
am I missing something........

  Thanks and Regards
  Vivek

---

From: "Chetan Pinto" <[email-masked]>
Date: Mon, 01 Jul 2002 12:51:44 -0700

>session/adjacenecy with the peer. So DoD acts as liberal in nature.......

Let us try to keep the "advertisement mode" and the "retention method"
separate. You can have a combination of DoD or DU with
Liberal or Conservative retention. Hence, DoD cannot be liberal by itself.

>am I missing something........
If u are using DoD on a particular interface:
If using liberal retention, request labels for all FECs even
if the LDP peer is not a next hop for all FECs
If using Conservative retention, request labels for only those
FECs which u deem the LDP peer is the next hop.
This is the kind of filtering you would be talking about
The filter would in fact be the "match" of "LDP peer" for "FEC next hop"

chetan

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail. 
http://www.hotmail.com

---

From: [email-masked]
Date: Tue, 2 Jul 2002 12:51:03 +0530

hi Mahesh!
     You point is valid for conventional IGP protocols like RIP but other one's
like OSPF with appropriate extensions for TE can support multiple paths with
different cost parameters. The decision for pure IP forwarding in that case is
based on suitable values for different QoS attributes maintained as part of
these multipaths e.g link bandwidth, utilisation, delay etc. The same mechanism
can be used by LDP in case it wants to maintain multiple LSPs to the same
destinations. Ofcourse the capability to learn and retain multiple routes has to
be with the IGP in use firstly for LDP to be able to use it.

regards,
sumit

"Mahesh kumar S" <[email-masked]> on 07/02/2002 12:27:18 PM

Please respond to [email-masked]

To:   [email-masked]
cc:    (bcc: Sumit Chauhan/HSS)

Subject:  RE: LDP Question

Hi,

When you are saying that
"If using liberal retention, request labels for all FECs even
if the LDP peer is not a next hop for all FECs"

In DOD case:-

LDP queries the routing table for FECs. The routing table
only has the best route. ( There can't be multiple best routes except
in the case of equal cost multipath). As a result of this only one
request can be sent and hence only one mapping will exist.
So how does liberal come into play for DOD.

Thanks,
Maheshkumar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Gray,
Eric
Sent: Tuesday, July 02, 2002 2:56 AM
To: 'Chetan Pinto'
Cc: [email-masked]; [email-masked]
Subject: RE: LDP Question

Chetan,

     You are quite correct in saying that advertisement
and retention modes are not strictly tied to each other.
However, for reasons relating to the amount of overhead
associated with the combination of liberal retention and
DoD - or conservative retention and DU advertisement -
it may be the case that implementations are optimized for
the combination of DU and liberal retention or DoD and
conservative retention for practical reasons.

     Ideally, implementations will share this practical
perspective making it unnecessary to have to deal with a
peer that negotiates an impractical combination of modes.

Eric W. Gray
[email-masked]

-----Original Message-----
From: Chetan Pinto [mailto:[email-masked]]
Sent: Monday, July 01, 2002 3:52 PM
To: [email-masked]; [email-masked]
Subject: Re: LDP Question

chetan

_________________________________________________________________
Join the world's largest e-mail service with MSN Hotmail.
http://www.hotmail.com

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: "Kannan S (Networking) - CTD, Chennai." <[email-masked]>
Date: Tue, 2 Jul 2002 13:45:23 +0530

Sumit,

Even if you had different paths one for higher throughput, and another for
delay sensitive traffic, how will you use it ? How will you determine the
QoS attribute of a incoming packet ?

AFAIK, there are two ways to identify 
1. The FEC for the inlabel identifies both the destination address prefix &
the QoS attribute.
2. Hack - Look at the IP header below the MPLS label header. 

Option 1. may not be possible with just LDP
Option 2. may not be recommended. (well, there is a debate on this in
another thread). Also each LSR will have to do this identification inorder
to ensure that routing loops are avoided.

AFAIK, eventhough the IGP is capable of identifying multiple paths based on
QoS attributes , LDP may not be able to use it. ECMP may be possible.

Regards,
Kans.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, July 02, 2002 12:51 PM
To: [email-masked]
Cc: [email-masked]
Subject: RE: LDP Question

hi Mahesh!
     You point is valid for conventional IGP protocols like RIP but other
one's
like OSPF with appropriate extensions for TE can support multiple paths with
different cost parameters. The decision for pure IP forwarding in that case
is
based on suitable values for different QoS attributes maintained as part of
these multipaths e.g link bandwidth, utilisation, delay etc. The same
mechanism
can be used by LDP in case it wants to maintain multiple LSPs to the same
destinations. Ofcourse the capability to learn and retain multiple routes
has to
be with the IGP in use firstly for LDP to be able to use it.

regards,
sumit

To:   [email-masked]

Hi,

When you are saying that

In DOD case:-

Thanks,
Maheshkumar

-----Original Message-----

Chetan,

Eric W. Gray
[email-masked]

-----Original Message-----
From: Chetan Pinto [mailto:[email-masked]]
Sent: Monday, July 01, 2002 3:52 PM
To: [email-masked]; [email-masked]
Subject: Re: LDP Question

chetan

---

From: [email-masked]
Date: Tue, 2 Jul 2002 15:09:06 +0530

hi Kannan!
     You are correct on that and i wanted to suggest the same but i guess i dint
say it clear enough.

     The original question pertained, iI think, to the role of IGP in giving
information regarding the multiple paths to teh same destination and hence I
answered it assuming LDP to also mean CR-LDP. But ofcourse your points are
absolutely valid in case teh question was just pertaining to LDP.
cheers
sumit

"Kannan S (Networking) - CTD, Chennai." <[email-masked]> on 07/02/2002
01:45:23 PM

To:   Sumit Chauhan/HSS@HSS
cc:   [email-masked]

Sumit,

Regards,
Kans.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, July 02, 2002 12:51 PM
To: [email-masked]
Cc: [email-masked]
Subject: RE: LDP Question

hi Mahesh!

regards,
sumit

To:   [email-masked]

Hi,

When you are saying that

In DOD case:-

Thanks,
Maheshkumar

-----Original Message-----

Chetan,

Eric W. Gray
[email-masked]

-----Original Message-----
From: Chetan Pinto [mailto:[email-masked]]
Sent: Monday, July 01, 2002 3:52 PM
To: [email-masked]; [email-masked]
Subject: Re: LDP Question

chetan

---

From: "Gray, Eric" <[email-masked]>
Date: Tue, 2 Jul 2002 07:47:13 -0400

Sumit/Mahesh,

The issue of what labels are asked for, or retained,
is orthogonal to routing when liberal retention mode
is in use.  That's the point of liberal retention - 
with liberal retention, routing determines the labels
that are used - not the labels that are ob(/re)tained.

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, July 02, 2002 3:21 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: LDP Question

hi Mahesh!

regards,
sumit

To:   [email-masked]

Hi,

When you are saying that

In DOD case:-

Thanks,
Maheshkumar

-----Original Message-----

Chetan,

Eric W. Gray
[email-masked]

-----Original Message-----
From: Chetan Pinto [mailto:[email-masked]]
Sent: Monday, July 01, 2002 3:52 PM
To: [email-masked]; [email-masked]
Subject: Re: LDP Question

chetan

---

From: [email-masked]
Date: Tue, 2 Jul 2002 17:33:47 +0530

hi Eric!
     I do get your point. Just one more point here is that in such a case
Liberal Mode seems to always go hand in hand with DU mode only and not DoD. I do
know that this is recommended and logical as well but IMHO your philosophy will
not hold if we think of Liberal Mode with DoD.

regards,
sumit

"Gray, Eric" <[email-masked]> on 07/02/2002 05:17:13 PM

To:   Sumit Chauhan/HSS@HSS, [email-masked]
cc:   [email-masked]

Sumit/Mahesh,

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, July 02, 2002 3:21 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: LDP Question

hi Mahesh!

regards,
sumit

To:   [email-masked]

Hi,

When you are saying that

In DOD case:-

Thanks,
Maheshkumar

-----Original Message-----

Chetan,

Eric W. Gray
[email-masked]

-----Original Message-----
From: Chetan Pinto [mailto:[email-masked]]
Sent: Monday, July 01, 2002 3:52 PM
To: [email-masked]; [email-masked]
Subject: Re: LDP Question

chetan